{% load static %}
{% load crispy_forms_tags %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="{% static 'tienda/css/estilos.css' %} ">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
    <header>
      
        <img src="{%static 'tienda/img/logo.png' %}" alt="Logo" class="logo">

        <nav>
                <ul>
                        <li>
                            <a href="{% url 'inicio' %}">inicio</a>
                        </li>
                        <li>
                            <a href="{% url 'nuevo_producto' %}">Nuevo Producto</a>
                        </li>
                        <li>
                            <a href="{% url 'listado_productos' %}">Listado de Productos</a>
                        </li>
                        {% if user.is_authenticated %}
                        <li>
                            <a href="#">Bienvenido:  {{user.username}}</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Cerrar sesión</a>
                        </li>
                        {%else%}
                        <li>
                            <a href="{% url 'login' %}">Iniciar sesión</a>
                        </li>
                        {% endif %}
                </ul>   
        </nav>
        
    </header>
    <div class ="container">   
        <h3>Nuevo Producto</h3>
        <form action="" class = "nuevo_producto" method="POST" enctype="multipart/form-data">
            {%csrf_token %}


            {{form | crispy}}
   
        <input type="reset" value ="Limpiar">
        <input type="submit" value ="Guardar">      
        </form>
        {{ mensaje}}
    </div>    
</body>
</html>